<?php
class CacheEngine implements CacheInterface {
    private $cacheService;

    public function __construct(ChairmanCacheService $cacheService) {
        $this->cacheService = $cacheService;
    }

    public function build($raceDate, $venue='', $raceNum=0) {
        return $this->cacheService->buildCache($raceDate,$venue,$raceNum);
    }

    public function read($raceDate, $venue='', $raceNum=0) {
        return $this->cacheService->readCache($raceDate,$venue,$raceNum);
    }
}
